OpenNebula - Backlog #3903
Use the "rbd import -" feature for faster Ceph image creations
07/30/2015 02:46 PM - Jaime Melis

Status: Pending Start date: 07/30/2015
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Drivers - Storage Estimated time: 0.00 hour
Target version:

Description

See attached file for proposed patch.
Tested with OpenNebula 4.12.1 and Ceph version 0.94.2 (5fb85614ca8f354284c713a2f9¢c610860720bbf3)

Before applying, compatibility with earlier Ceph versions should be tested.

History

#1 - 08/05/2015 09:01 AM - Jaime Melis
- Tracker changed from Feature to Backlog
- Target version set to Release 5.0

note that this might not be an ideal solution as it doesn't do the vmdk -> raw conversion for ceph. However all this needs to be looked upon, as there is
no conversion in the LVM drivers at all.

#2 - 01/04/2016 01:24 PM - Ruben S. Montero

- Target version deleted (Release 5.0)

Files

cp 4.72 KB 07/30/2015 Jaime Melis
